Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 732418 - x11-misc/xlockmore fails to link with LLD because of /usr/lib in the link command line
Summary: x11-misc/xlockmore fails to link with LLD because of /usr/lib in the link com...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-13 08:13 UTC by Agostino Sarubbo
Modified: 2020-10-07 07:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,63.99 KB, text/plain)
2020-07-13 08:13 UTC, Agostino Sarubbo
Details
other.tar.bz2 (other.tar.bz2,254 bytes, application/x-bzip-compressed-tar)
2020-07-13 08:13 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-13 08:13:33 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: x11-misc/xlockmore fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-13 08:13:40 UTC
Created attachment 649068 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-07-13 08:13:44 UTC
Created attachment 649070 [details]
other.tar.bz2

other logs
Comment 3 Jeroen Roovers gentoo-dev 2020-10-07 07:44:25 UTC
commit 4d2411a716d4acded50402aa3ab12a7e7382f151
Author: Jeroen Roovers <jer@gentoo.org>
Date:   Tue Sep 15 09:41:02 2020 +0200

    x11-misc/xlockmore: Version 5.66_alpha00

    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>


I believe that was fixed by sedding out a few linker arguments and replacing them with $LIBDIR.